#include <iostream>

using namespace std;

int main()
{
	int N,K,i,n[20000],r;
	cin>>N>>K;
	for(i=0;i<N;i++)
	{
		cin>>n[i];
		if(K==n[i])
		{
			r=i;
		}
	}
	if(r==N-1)
	{
		cout<<n[0];
	}else
	{
		cout<<n[r+1];
	}
	return 0;
}